Name:           linux-air-combat
Version:        09p15
Release:        %autorelease
Summary:        Free open source combat flight simulator

License:        GPL-2.0-or-later
URL:            https://askmisterwizard.com/2019/LinuxAirCombat/LinuxAirCombat.htm
Source:         https://sourceforge.net/projects/linuxaircombat/files/Choose%20Your%20Platform/Most%20LINUX%20Desktops%20%28in%20the%20global%20usr%20filesystem%20for%20all%20users%29/Lac%{version}.tar.gz
Source:         https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Source:         lac.desktop
Source:         com.askmisterwizard.linux_air_combat.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  sed

BuildRequires:  freeglut-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel

Requires:       %{name}-data = %{version}-%{release}
# Adds voice effects in-game
Recommends:     espeak
# Team voice integration
Recommends:     mumble

%description
Linux Air Combat is a free, open-source combat flight simulator developed by
AskMisterWizard.com for the LINUX community. Its roots came from the well-known
"classic" flight game known as "GL-117", but this new incarnation has been
extensively re-written and improved, and the focus has changed from arcade
gaming to World War II combat flight simulation.

%package        data
Summary:        Data files for %{name}
BuildArch:      noarch

%description    data
This package contains data files for %{name}.

%prep
%autosetup -n Lac%{version}

# Remove prebuilt binary
rm bin/Release/Lac%{version}

# Copy in missing license file
cp -p %SOURCE1 .

# Fix SDL includes
sed -i common.h \
  -e 's:"SDL/SDL.h":<SDL/SDL.h>:' \
  -e 's:"SDL/SDL_thread.h":<SDL/SDL_thread.h>:' \
  -e 's:"SDL/SDL_mixer.h":<SDL/SDL_mixer.h>:'

# Fix Makefile
sed -i Makefile \
  -e 's:g++ -o Lac%{version} $(LIBS) $(OBJS):%{__cxx} %{build_cxxflags} -o Lac%{version} $(OBJS) %{build_ldflags} $(LIBS):' \
  -e 's:-L/lib64::' \
  -e 's:cp :cp -p :g'

# Fix fallback path for default height map
sed -i conf.cpp \
  -e 's:/usr/local/bin/LAC/LacSim/music/DefaultHeightMap.LAC:%{_datadir}/lac/DefaultHeightMap.LAC:'

%build
%make_build CXX="%{__cxx}"

%install
# Install LAC (based on the provided install.sh script)
install -Dpm0755 bin/Release/Lac%{version} %{buildroot}%{_bindir}/lac
install -Dpm0644 -t %{buildroot}%{_datadir}/lac lac.png DefaultHeightMap.LAC
for dir in music sounds models textures; do
  install -Dpm0644 -t "%{buildroot}%{_datadir}/lac/${dir}" "bin/${dir}"/*
done

# Install desktop files
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %SOURCE2
install -Dpm0644 -t %{buildroot}%{_metainfodir} %SOURCE3

%check
appstream-util validate-relax --nonet \
  %{buildroot}%{_metainfodir}/com.askmisterwizard.linux_air_combat.metainfo.xml

%files
%license gpl-2.0.txt
%doc README.txt WhatsNew.txt LacConfig.txt LacControls*.txt
%{_bindir}/lac
%{_datadir}/applications/lac.desktop
%{_metainfodir}/com.askmisterwizard.linux_air_combat.metainfo.xml

%files data
%license gpl-2.0.txt
%{_datadir}/lac

%changelog
%autochangelog
